Subject: Re: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics

From: Andrea Arcangeli <[email-masked]>
Date: Wed, 30 Mar 2005 17:33:13 +0200

On Wed, Mar 30, 2005 at 05:22:08PM +0200, Andi Kleen wrote:
> Which I think is pretty unlikely. Normally the dirty limits in the VM
> should prevent it anyways - VM is supposed to block before all
> your memory is dirty. The CPU can still dirty pages in user space,

This is not true for MAP_SHARED as I mentioned earlier in this thread.
The dirty limits can't trigger unless you want to take a page fault for
every single memory write opcode that touches a clean page (and as well
marking the pte clean and wrprotect during writepage).  And we're not
going to change anything for swap and anon/shm, so it would be still an
issue for swap over iscsi.

You can be right the receive path may be less of a pratical issue, but
it's still very much an at least theoretical source of deadlock.